com.trendmicro.ds.platform.rest.object.mt.tenantdb

## Class TenantDatabaseServerElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.mt.tenantdb.TenantDatabaseServerElement

-     public class TenantDatabaseServerElement
      extends java.lang.Object

  A structure encapsulating information about a database server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TenantDatabaseServerElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDatabaseName()` Name of the database server for display purposes.
    `java.lang.String` | `getDatabaseType()` The database type; supported database type are: ORACLE_SERVER, SQL_SERVER
    `java.lang.String` | `getDomain()` Database Domain, used when database type is SQL_SERVER
    `java.lang.String` | `getHostName()` Database Server Hostname
    `java.lang.String` | `getInstanceName()` Database Instance Name, used when database type is SQL_SERVER
    `java.lang.String` | `getPassword()` Password to use for authentication to the database
    `java.lang.String` | `getState()` Returns the state of the database; supported states are: ACTIVE, NO_LONGER_ACCEPTING_TENANT
    `java.lang.Integer` | `getTenantDatabaseServerId()` Uniquely identify a tenant secondary database server.
    `java.util.List<TenantElement>` | `getTenants()` The list of tenants currently assigned to this database server.
    `java.lang.String` | `getUserName()` Username to use for authentication to the database
    `void` | `setDatabaseName(java.lang.String databaseName)`
    `void` | `setDatabaseType(java.lang.String databaseType)`
    `void` | `setDomain(java.lang.String domain)`
    `void` | `setHostName(java.lang.String hostName)`
    `void` | `setInstanceName(java.lang.String instanceName)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setState(java.lang.String state)`
    `void` | `setTenantDatabaseServerId(java.lang.Integer tenantDatabaseServerId)`
    `void` | `setTenants(java.util.List<TenantElement> tenants)`
    `void` | `setUserName(java.lang.String userName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TenantDatabaseServerElement

          public TenantDatabaseServerElement()

  - ### Method Detail

    - #### getTenantDatabaseServerId

          public java.lang.Integer getTenantDatabaseServerId()

      Uniquely identify a tenant secondary database server.
      Returns:
        tenantDatabaseServerId

    - #### setTenantDatabaseServerId

          public void setTenantDatabaseServerId(java.lang.Integer tenantDatabaseServerId)

    - #### getDatabaseName

          public java.lang.String getDatabaseName()

      Name of the database server for display purposes.
      Returns:
        databaseName

    - #### setDatabaseName

          public void setDatabaseName(java.lang.String databaseName)

    - #### getHostName

          public java.lang.String getHostName()

      Database Server Hostname
      Returns:
        hostName

    - #### setHostName

          public void setHostName(java.lang.String hostName)

    - #### getInstanceName

          public java.lang.String getInstanceName()

      Database Instance Name, used when database type is SQL_SERVER
      Returns:
        instanceName

    - #### setInstanceName

          public void setInstanceName(java.lang.String instanceName)

    - #### getDomain

          public java.lang.String getDomain()

      Database Domain, used when database type is SQL_SERVER
      Returns:
        domain

    - #### setDomain

          public void setDomain(java.lang.String domain)

    - #### getUserName

          public java.lang.String getUserName()

      Username to use for authentication to the database
      Returns:
        userName

    - #### setUserName

          public void setUserName(java.lang.String userName)

    - #### getPassword

          public java.lang.String getPassword()

      Password to use for authentication to the database
      Returns:
        password

    - #### setPassword

          public void setPassword(java.lang.String password)

    - #### getDatabaseType

          public java.lang.String getDatabaseType()

      The database type; supported database type are: ORACLE_SERVER, SQL_SERVER
      Returns:
        databaseType

    - #### setDatabaseType

          public void setDatabaseType(java.lang.String databaseType)

    - #### getState

          public java.lang.String getState()

      Returns the state of the database; supported states are: ACTIVE, NO_LONGER_ACCEPTING_TENANT
      Returns:
        state

    - #### setState

          public void setState(java.lang.String state)

    - #### getTenants

          public java.util.List<TenantElement> getTenants()

      The list of tenants currently assigned to this database server.
      Returns:
        tenants

    - #### setTenants

          public void setTenants(java.util.List<TenantElement> tenants)

Copyright © 2015 Trend Micro Inc. All Rights Reserved.